E2B

Set sandbox timeout

Reset the sandbox's expiry to N seconds from now.

Call Create sandbox first and replace sbx_123 with its returned sandboxID.

POST /e2b/sandboxes/{sandboxID}/timeout● Supported

Official E2B docs ↗

Request parameters

  • sandboxIDstring必填

    path:

  • timeoutinteger必填

    Timeout in seconds from the current time after which the sandbox should expire

Returns

204

Errors follow the E2B format — see error codes

Response

HTTP 204

Successfully set the sandbox timeout

No response body is declared.